<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FundingChat extends Model
{
    use HasFactory;

    protected $table = 'funding_chats';

    protected $fillable = [
        'user_id',
        'payment_method',
        'status',
        'funding_id'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function funding()
    {
        return $this->belongsTo(Funding::class);
    }

    public function messages()
    {
        return $this->hasMany(FundingMessage::class);
    }
} 